Package javax.servlet.jsp.tagext

# Interface DynamicAttributes

public interface DynamicAttributes
For a tag to declare that it accepts dynamic attributes, it must implement this interface. The entry for the tag in the Tag Library Descriptor must also be configured to indicate dynamic attributes are accepted.
For any attribute that is not declared in the Tag Library Descriptor for this tag, instead of getting an error at translation time, the `setDynamicAttribute()` method is called, with the name and value of the attribute. It is the responsibility of the tag to remember the names and values of the dynamic attributes.

Since:
  JSP 2.0

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `setDynamicAttribute(String uri, String localName, Object value)`
  Called when a tag declared to accept dynamic attributes is passed an attribute that is not declared in the Tag Library Descriptor.

- ## Method Details

  - ### setDynamicAttribute

    void setDynamicAttribute(String uri, String localName, Object value) throws JspException
    Called when a tag declared to accept dynamic attributes is passed an attribute that is not declared in the Tag Library Descriptor.
    Parameters:
      `uri` - the namespace of the attribute, or null if in the default namespace.
      `localName` - the name of the attribute being set.
      `value` - the value of the attribute
    Throws:
      `JspException` - if the tag handler wishes to signal that it does not accept the given attribute. The container must not call doStartTag() or doTag() for this tag.